> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Virtual Account

> Fetch Virtual Account API allows you to get the virtual account by providing account number



## OpenAPI

````yaml openapi.json GET /bank/virtual/accounts/{account_number}
openapi: 3.0.0
info:
  title: virtual bank
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
paths:
  /bank/virtual/accounts/{account_number}:
    parameters:
      - name: account_number
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Accounts
      summary: Fetch Virtual Account
      parameters:
        - name: x-api-key
          in: header
          required: true
          description: API key
          deprecated: false
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          description: Access Token
          deprecated: false
          schema:
            type: string
      responses:
        '200':
          description: 200 - Fetch Account
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    minimum: 100
                    maximum: 599
                  timestamp:
                    type: integer
                    minimum: 0
                  data:
                    type: object
                    properties:
                      '@entity':
                        enum:
                          - org.quicko.bank.virtual.bank_account
                      account_number:
                        type: string
                      ifsc:
                        type: string
                        pattern: ^[A-Z]{4}0[0-9]{6}$
                      bank_name:
                        type: string
                      status:
                        type: string
                        enum:
                          - active
                          - inactive
                          - blocked
                      notes:
                        type: object
                      external_id:
                        type: string
                      name:
                        type: string
                      created_at:
                        type: integer
                        minimum: 0
                    required:
                      - '@entity'
                      - account_number
                      - ifsc
                      - bank_name
                      - status
                      - created_at
                  transaction_id:
                    type: string
                    format: uuid
        '403':
          description: 403 - Access Not Permitted
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    minimum: 100
                    maximum: 599
                  timestamp:
                    type: integer
                    minimum: 0
                  message:
                    type: string
                  transaction_id:
                    type: string
                    format: uuid

````